#!/bin/sh
############################################################################
#                                                                          #
#  Copyright (c) 2001, 2010 NoMachine, http://www.nomachine.com.           #
#                                                                          #
#  NXSERVER, NX protocol compression and NX extensions to this software    #
#  are copyright of NoMachine. Redistribution and use of the present       #
#  software is allowed according to terms specified in the file LICENSE    #
#  which comes in the source distribution.                                 #
#                                                                          #
#  Check http://www.nomachine.com/licensing.html for applicability.        #
#                                                                          #
#  NX and NoMachine are trademarks of Medialogic S.p.A.                    #
#                                                                          #
#  All rigths reserved.                                                    #
#                                                                          #
############################################################################

COMMAND_ECHO="/bin/echo"
COMMAND_NSCD="/usr/sbin/nscd"

if test  $# -ne 3; then
  $COMMAND_ECHO "NX> 599 Error: Wrong parameters count." && exit 1
fi

if [ "x$1" != "xnx" -a "x$1" != "xroot" ];
  then
    $COMMAND_ECHO "NX> 599 Error: nxgroupadd.sh: only 'nx' user can add a group by this script" 1>&2
    exit 1
fi

COMMAND_GROUPADD="/usr/sbin/groupadd"

$COMMAND_GROUPADD $3
ret=$?

if [ $ret != 0 ];
then
  exit $ret
fi

if [ -f /etc/nscd.conf ];
then
  $COMMAND_NSCD -i group
fi

exit 0
